Packages - Bug #3398

[libxfce4ui] Update needed to the version 4.18 according to the XFCE version
2022-12-19 03:03 AM - eliotime3000

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

The libxfce4ui needs to be updated to the version 4.18 to make finally avariable the transition from version 4.16 to the version 4.18 of
XFCE desktop enviroment.

The CLI message after apply the sudo pacman -Syu is the following:

Sincronizando las bases de datos de los paquetes...
libre estd& actualizado

core 115,1 KiB 48,9 KiB/s 00:02 [########H#444444444444] 1003
extra 1409,4 KiB 1087 KiB/s 00:01 [#########444#4##444##4] 1003
community 6,2 MiB 766 KiB/s 00:08 [########444#4444444#44] 1008

pcr estd actualizado
Iniciando actualizacién completa del sistema...
resolviendo dependencias...
buscando conflictos entre paquetes...
error: no se pudo preparar la operacidén (no se pudo satisfacer las dependencias)
instalando xfced-session (4.18.0-1) se rompe la dependencia con «xfced-session=
4.16.0», necesaria para el paquete libxfcedui

If the libxfce4ui package is not updated to the same version of the rest of components of XFCE 4.18, the desktop enviroment will be
broken.

History

#1 - 2023-02-13 04:04 PM - h.ueno

| don't know if it's the same problem, but on my computer | have the following problem:

$ sudo pacman -Syu
Synchronizing package databases...
libre is up to date
core is up to date
extra is up to date
community is up to date
pcr is up to date
multilib is up to date
Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "xfced4-session=4.18.2", dependency of "libxfcedui"
dependency of "libxfced4ui"
dependency of "libxfcedui"
dependency of "libxfcedui"

a
warning: cannot resolve "xfce4-session=4.18.2", a
a
a
warning: cannot resolve "xfce4-session=4.18.2", a dependency of "libxfced4ui"
a
a
a
a

warning: cannot resolve "xfced4-session=4.18.2",
warning: cannot resolve "xfced4-session=4.18.2",

dependency of "libxfcedui"
dependency of "libxfcedui"
dependency of "libxfced4ui"
dependency of "libxfcedui"

warning: cannot resolve "xfced4-session=4.18.2",
warning: cannot resolve "xfced4-session=4.18.2",
warning: cannot resolve "xfced4-session=4.18.2",
warning: cannot resolve "xfced4-session=4.18.2",
The following package cannot be upgraded due to unresolvable dependencies:
libxfcedui

:: Do you want to skip the above package for this upgrade? [y/N]

#2 - 2023-02-13 04:52 PM - bill-auger

it probably is the same; but it was fixed for x86_64 - what is your arch? - is it a non-systemd system?

#3 - 2023-02-13 05:48 PM - h.ueno
I'm using systemd on x86_64.
The message is that libxfce4ui needs xfce4-session 4.18.2, but the current registered version of xfce4-session was 4.18.1.
https://www.parabola.nu/packages/exira/x86_64/xfce4-session/

Is everyone using xfce4 without problems?
If so it may be a problem specific to my computer

#4 - 2023-02-13 06:18 PM - bill-auger

i see the confusion now - arch has different versions of libxfce4ui and xfce4-session - it looks like the packager did not notice that?

#5 - 2023-02-14 01:42 AM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

the arch PKGBUILD is pkgver=4.18.2 - but that package is not actually in the arch repos

#6 - 2023-02-14 01:42 AM - bill-auger

- Status changed from in progress to fixed
